Skip to content

GET /api/v3/objects/{lcuid}/scoped-tags

Summary

GET /objects/{lcuid}/scoped-tags

Description

List tags owned by this object

Tags: objects

Parameters

Header Parameters

Name Type Required Description Example
Authorization string ✓ Yes Bearer {AuthToken}
Content-Type string ✓ Yes application/json
Accept string ✓ Yes application/json
AppIdV3 string ✓ Yes LCUID-LAP-********-****-****-****-************

Responses

Response: 200

Content Type: application/json

Schema

Type: object

Properties:

  • success (boolean): The request succeeded
  • id (string): The lcuid of the object
  • class (string): The class of the object
  • tags (array): An array of tags
  • Array items: object Type: object

    Properties:

    • name (string)
    • description (string)
    • created_at (string)
    • updated_at (string)
    • tag_slug (string)
    • lcuid (string)
    • parent (object) Type: object

    Properties:

    • name (string)
    • lcuid (string)
    • inventory_item_class (array)
    • inventory_item_class_description (string)
    • account_class_description (string)
Example Response
{
    "success": true,
    "id": "LCUID-LA-a9eb1cdf-0bc9-42cb-9be1-d032531d7511",
    "class": "App\\Account",
    "tags": [
        {
            "name": "test1",
            "description": "",
            "created_at": "2026-10-08T21:36:35.000000Z",
            "updated_at": "2026-10-08T21:36:35.000000Z",
            "tag_slug": "test1",
            "lcuid": "LCUID-LTAG-cfb795a9-03c8-47df-bbac-e133e997ee52",
            "parent": {
                "name": "Blue River Real Estate",
                "lcuid": "LCUID-LA-a9eb1cdf-0bc9-42cb-9be1-d032531d7511",
                "inventory_item_class": [],
                "inventory_item_class_description": "",
                "account_class_description": ""
            }
        },
        {
            "name": "test2",
            "description": "",
            "created_at": "2026-10-08T21:36:35.000000Z",
            "updated_at": "2026-10-08T21:36:35.000000Z",
            "tag_slug": "test2",
            "lcuid": "LCUID-LTAG-ac02020b-438b-421b-9908-4ea1e324f2c2",
            "parent": {
                "name": "Blue River Real Estate",
                "lcuid": "LCUID-LA-a9eb1cdf-0bc9-42cb-9be1-d032531d7511",
                "inventory_item_class": [],
                "inventory_item_class_description": "",
                "account_class_description": ""
            }
        }
    ]
}

Example Implementations

Bash (cURL)

curl --request GET \
    --get "https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags" \
    --header "Authorization: Bearer {AuthToken}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --header "AppIdV3: LCUID-LAP-********-****-****-****-************"

JavaScript (Fetch API)

const url = new URL(
    "https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags"
);

const headers = {
    "Authorization": "Bearer {AuthToken}",
    "Content-Type": "application/json",
    "Accept": "application/json",
    "AppIdV3": "LCUID-LAP-********-****-****-****-************",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response => response.json());

PHP (Guzzle)

$client = new \GuzzleHttp\Client();
$response = $client->get(
    'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags',
    [
        'headers' => [
            'Authorization' => 'Bearer {AuthToken}',
            'Content-Type' => 'application/json',
            'Accept' => 'application/json',
            'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
        ],
    ]
);
$body = $response->getBody();
print_r(json_decode((string) $body));

Python (Requests)

import requests
import json

url = 'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/scoped-tags'
headers = {
  'Authorization': 'Bearer {AuthToken}',
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}

response = requests.request('GET', url, headers=headers)
response.json()

← Back to objects index | Back to main index